Subject: summary:Gram-Schmidt orthogonalization

From: Hong Jiang <[email-masked]>
Date: Tue, 03 Apr 2001 20:05:40 -0400 (EDT)

Thanks for those who gave me helpful information and instructions about
orthogonalization algorithm. Here I give a summary of them. And I hope it will
be helpful to some others.
	Hong Jiang
PS: Car and Parrenello (PRL55, 2471, 1985) used an iterative algorithm.    

**************************Summary of Gram-Schmidt orthogonalization*********
1.
    Hi Hong,

    I found that the book

        "Matrix computations" (2nd edition)
        G. H. Golub, C. F. van Loan
        (Johns Hopkins University Press, Baltimore, 1993)
        ISBN 0-8018-3772-3
        ISBN 0-8018-3739-2 (paperback)

    gives a good description of orthogonalisation methods in chapter 5. In
    particular it explains on pages 218-220 why Gram-Schmidt is inaccurate if
the
    basis you are trying to orthogonalize is (nearly) linear dependent. In those
    cases Householder works much better as far as my experience goes. The
    Householder approach is discussed in at the beginning of chapter 5,
including
    pseudo-code for this algorithm. The pseudo-code is can easily be rewritten
into
    an imperative computer language like Fortran, C, C++, Java, etc.

    I hope this helps.

    Kind regards, Huub

    --

    ========================================================================

    Huub van Dam                               E-mail: [email-masked]
    CCLRC Daresbury Laboratory                  phone: +44-1925-603362
    Daresbury, Warrington                         fax: +44-1925-603634
    Cheshire, UK
    WA4 4AD

    ========================================================================
2.

Hello,

    In Ostlund-Szabo "Modern Quantum Mechanics" you will find
    the symmetric orthogonalization (Lowdin)
    the canonical orthogonalization (modified Lowdin to remove linear
    dependencies)
    the Schmidt orthogonalization.

    The two first methods are straightforward to implement in any QM code.
    Hope this helps.

    -- 

                                          ...Xav

    WARNING! NEW E-MAIL ADDRESS !
    (u-nancy changed to uhp-nancy)

    Ast. Pr. Xavier Assfeld             [email-masked]
    Laboratoire de Chimie theorique     (T) 33 3 83 91 21 49
    Universite Henri Poincare           (F) 33 3 83 91 25 30
    F-54506 Nancy BP 239                http://www.lctn.uhp-nancy.fr

3.
       From
           zdenko tomasic <[email-masked]>
         To
           Hong Jiang <[email-masked]>
    Reply-To
           [email-masked]
     Subject
           Re: CCL:Gram-Schmidt orthogonalization algorithms
       Parts

               Message Source

    in a nutshell,
    classical GS fails to properly orthogonalize a set of vectors,
    modified GS is only slightly better but fails strict orthogonality too,
    the thing to do is classical GS + iterative refinement

    if you deal with dense matrices, LAPACK package should give you all you
need.